Package org.opensaml.saml.security

# Class SAMLMetadataKeyAgreementEncryptionConfiguration

java.lang.Object
org.opensaml.xmlsec.encryption.support.KeyAgreementEncryptionConfiguration
org.opensaml.saml.security.SAMLMetadataKeyAgreementEncryptionConfiguration

public class SAMLMetadataKeyAgreementEncryptionConfiguration extends KeyAgreementEncryptionConfiguration
A specialization of `KeyAgreementEncryptionConfiguration` that can hold configuration specific to the user of SAML metadata.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap`
Options for whether to use symmetric key wrap with credentials from SAML metadata.

## Field Summary

Fields
Modifier and Type
Field
Description
`private SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap`
`metadataUseKeyWrap`
Option which determines whether symmetric key wrap is to be used with metadata credentials.

## Constructor Summary

Constructors
Constructor
Description
`SAMLMetadataKeyAgreementEncryptionConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap`
`getMetadataUseKeyWrap()`
Get the option which determines whether symmetric key wrap is to be used with metadata credentials.
`void`
`setMetadataUseKeyWrap(SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap option)`
Set the option which determines whether symmetric key wrap is to be used with metadata credentials.

### Methods inherited from class org.opensaml.xmlsec.encryption.support.KeyAgreementEncryptionConfiguration

`getAlgorithm, getParameters, setAlgorithm, setParameters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### metadataUseKeyWrap

@Nullable private SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap metadataUseKeyWrap
Option which determines whether symmetric key wrap is to be used with metadata credentials.

## Constructor Details

### SAMLMetadataKeyAgreementEncryptionConfiguration

public SAMLMetadataKeyAgreementEncryptionConfiguration()

## Method Details

### getMetadataUseKeyWrap

@Nullable public SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap getMetadataUseKeyWrap()
Get the option which determines whether symmetric key wrap is to be used with metadata credentials.

Returns:
  the configured optiona value, or null if not explicitly configured

### setMetadataUseKeyWrap

public void setMetadataUseKeyWrap(@Nullable SAMLMetadataKeyAgreementEncryptionConfiguration.KeyWrap option)
Set the option which determines whether symmetric key wrap is to be used with metadata credentials.

Parameters:
  `option` - the new option value